curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/async_tasks/{async_task} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/async_tasks/{async_task}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/async_tasks/{async_task}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "async_task",
"data": {
"type": "form_generation",
"status": "processing",
"completed_at": null,
"results": [],
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/async_tasks/<id>"
}
}Retrieve an async task
Endpoint to fetch an AsyncTask.
Async Tasks are created when a long-running process is initiated (e.g. form generation) and can be used to track the progress of that process and fetch the results once it is completed.
A task starts as processing and ends as either completed or error. The async_task_completed webhook fires on both, whether the work succeeded or failed, so use this endpoint to read status and, on error, any failure details in results. completed_at is only set when the task succeeded.
The following example is for a Form Generation task, but the response fields will differ depending on the specific AsyncTask instance requested.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("async_task").
Hide child attributes
Hide child attributes
batch_delete, batch_upsert, bulk_create, bulk_delete, bulk_update, form_generation, integration_sync, scenario_seed completed, error, processing The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

